package cn.com.poc.ai_data_audit.constants;

/**
 * @Author：Roger Wu
 * @name：DataAuditEnum
 * @Date：2025-10-31 0:42
 */
public enum DataAuditEnum {


    //        fileNameMap.put("DOC-01","Work Permit Application Details");
//        fileNameMap.put("DOC-02","Work Permit Extension Details");
//    fileNameMap.put("DOC-03", "Work Method Statement");
//        fileNameMap.put("DOC-04", "Safety Method Statement or Safety Plan");
//        fileNameMap.put("DOC-05", "Risk Assessment");
//        fileNameMap.put("DOC-06", "Work Programme");
//        fileNameMap.put("DOC-07", "Location Plan");
//        fileNameMap.put("DOC-08", "HKIA Contractor Safety (Construction & Maintenance) Training Record");
//        fileNameMap.put("DOC-09", "HKIA BRAAS Check Form or BRAAS Exemption Declaration Form");
//        fileNameMap.put("DOC-10", "Premises Endorser Declaration Form for Work Permit Application");
//        fileNameMap.put("DOC-11", "OCWIP");
//        fileNameMap.put("DOC-12", "Insurance");
//        fileNameMap.put("DOC-13", "Pay-in-Slip for Work Permit Processing Fee");
//        fileNameMap.put("DOC-14", "HKIA APM Safety Video Training and Examination Record");
//        fileNameMap.put("DOC-15", "Aerodrome Safety Risk Assessment");
//        fileNameMap.put("DOC-16", "System Change Request (SCR)");
//        fileNameMap.put("DOC-17", "CCTV Equipment Configuration Request Form");
//        fileNameMap.put("DOC-18", "Permit to Dig");
//        fileNameMap.put("DOC-19", "Temporary Traffic Management Plan");

    DOC_01("DOC-01","Work Permit Application Details"),
    DOC_02("DOC-02","Work Permit Extension Details"),
    DOC_03("DOC-03","Work Method Statement"),
    DOC_04("DOC-04","Safety Method Statement or Safety Plan"),
    DOC_05("DOC-05","Risk Assessment"),
    DOC_06("DOC-06","Work Programme"),
    DOC_07("DOC-07","Location Plan"),
    DOC_08("DOC-08","HKIA Contractor Safety (Construction & Maintenance) Training Record"),
    DOC_09("DOC-09","HKIA BRAAS Check Form or BRAAS Exemption Declaration Form"),
    DOC_10("DOC-10","Premises Endorser Declaration Form for Work Permit Application"),
    DOC_11("DOC-11","OCWIP"),
    DOC_12("DOC-12","Insurance"),
    DOC_13("DOC-13","Pay-in-Slip for Work Permit Processing Fee"),
    DOC_14("DOC-14","HKIA APM Safety Video Training and Examination Record"),
    DOC_15("DOC-15","Aerodrome Safety Risk Assessment"),
    DOC_16("DOC-16","System Change Request (SCR)"),
    DOC_17("DOC-17","CCTV Equipment Configuration Request Form"),
    DOC_18("DOC-18","Permit to Dig"),
    DOC_19("DOC-19","Temporary Traffic Management Plan");


    DataAuditEnum(String templateCode, String templateName) {

        this.templateCode = templateCode;
        this.templateName = templateName;
    }

    private String templateCode;

    private String templateName;

    public static String getTemplateNameByCode(String templateCode) {
        for (DataAuditEnum item : DataAuditEnum.values()) {
            if (item.templateCode.equals(templateCode)) {
                return item.templateName;
            }
        }
        return null;
    }


}
